# studio::Toolbox Class Reference

`#include <toolbox.h>`

List of all members.

## Public Member Functions

void | change_state (const synfig::String &statename)
void | update_undo_redo ()
void | refresh ()
void | set_active_state (const synfig::String &statename)
void | add_state (const Smach::state_base *state)
void | dockable_registered (Dockable *x)
| Toolbox ()
virtual | ~Toolbox ()

## Friends

class | studio::StateManager

## Constructor & Destructor Documentation

Toolbox::Toolbox | ( |  | ) |

References _, _create_stock_dialog1(), _create_stock_dialog2(), ADD_TOOLBOX_BUTTON, close_selected_instance(), studio::App::dialog_about(), studio::App::dialog_help(), studio::App::dialog_open(), studio::App::dock_manager, dockable_registered(), GRAB_HINT_DATA, studio::App::new_instance(), studio::App::quit(), studio::App::redo(), studio::App::reset_initial_window_configuration(), save_all(), save_as_selected_instance(), save_selected_instance(), show_dialog_input(), studio::App::show_setup(), studio::App::shutdown_request(), studio::DockManager::signal_dockable_registered(), studio::App::signal_instance_selected(), studio::App::signal_present_all(), studio::App::signal_recent_files_changed(), TOOLBOX_BUTTON, studio::App::ui_manager(), studio::App::undo(), update_undo_redo(), and WIKI.

Toolbox::~Toolbox | ( |  | ) | `[virtual]`

References studio::App::toolbox.

## Member Function Documentation

void Toolbox::change_state | ( | const synfig::String & | statename | ) |

References studio::App::get_selected_canvas_view().

void Toolbox::update_undo_redo | ( |  | ) |

References studio::App::get_selected_canvas_view(), studio::App::get_selected_instance(), and set_active_state().

Referenced by refresh(), and Toolbox().

void studio::Toolbox::refresh | ( |  | ) | `[inline]`

References update_undo_redo().

Referenced by add_state().

void Toolbox::set_active_state | ( | const synfig::String & | statename | ) |

References synfigapp::Main::set_state().

Referenced by update_undo_redo().

void Toolbox::add_state | ( | const Smach::state_base * | state | ) |

References refresh().

Referenced by studio::StateManager::add_state().

void Toolbox::dockable_registered | ( | Dockable * | x | ) |

References studio::Dockable::get_local_name(), and studio::Dockable::present().

Referenced by Toolbox().

## Friends And Related Function Documentation

friend class studio::StateManager `[friend]`

The documentation for this class was generated from the following files:

- toolbox.h
- toolbox.cpp